Subject: bug#23910: closed (Re: bug#23910: [Guix Info][7.1.5] Should warn user about losing Internet or DNS connection)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 13 Sep 2016 09:53:02 +0000

Your bug report

#23910: [Guix Info][7.1.5] Should warn user about losing Internet or DNS connection

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
23910: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=23910
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#23910: [Guix Info][7.1.5] Should warn user about losing Internet or DNS connection
From: [email-masked] (Ludovic Courtès)
To: Eus <[email-masked]>
Cc: [email-masked]
Date: Tue, 13 Sep 2016 11:52:17 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello!

Eus <[email-masked]> skribis:

> Sorry for replying just now. I did not try to reproduce the bug back at
> that time. So, I took the time yesterday to try to reproduce the bug. And,
> I cannot reproduce the problem after repeating the following rough steps
> two times with the same bootable disk and machine and network (but the
> external connection to the ISP may have changed in the mean time):
>
> 1. Format my /dev/sda8
> 2. Swapon my /dev/sda7
> 3. mount my /dev/sda8 to /mnt
> 4. herd start cow-store /mnt
> 5. umount /tmp
> 6. mount --bind /mnt/tmp2 /tmp
> 7. ifconfig, wpa_supplicant, dhclient
> 8. guix pull
> 9. guix system --no-grub --keep-failed init /mnt/etc/config.scm /mnt

Normally step #8 can be omitted because hydra.gnu.org still has binaries
for the packages 0.11.0 provides.

Step #6 is also redundant with step #4 (‘herd start cow-store’ make /tmp
a bind mount to /mnt/tmp; see gnu/system/install.scm:154.)

> The whole process took just about 100 minutes.

That’s a lot of time.

> So, I cannot reproduce the bug.

Great.  Thanks for taking the time to verify!

Ludo’.

Subject: [Guix Info][7.1.5] Should warn user about losing Internet or DNS connection
From: Eus <[email-masked]>
To: [email-masked]
Date: Thu, 07 Jul 2016 19:06:35 +0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

When downloading substitutes via wireless connection, several times I encountered a case where the host name of hydra cannot be resolved. So, the "guix system init" fails and suggests the use of "--fallback" option. However, rather than continuing with "guix system --fallback init", one should actually try "dhclient -v WIRELESS_INTERFACE_NAME" first and then do "guix system init" again instead of "guix system --fallback init". My installation process is now going well with this strategy. Previously, I kept using "--fallback" that didn't solve the problem due to network connectivity error because using "--fallback" brought up built errors.

--
Best regards,
Eus (FSF member #4445)

In this digital era, where computing technology is pervasive, your freedom depends on the software controlling those computing devices.

Join free software movement today! It is free as in freedom, not as in free beer!

Join: http://www.fsf.org/jf?referrer=4445